Subject: Re: [bitcoin-dev] Block size following technological growth

From: Jorge Timón <[email-masked]>
Date: Tue, 4 Aug 2015 15:13:54 +0200

On Tue, Aug 4, 2015 at 1:34 PM, Hector Chu <[email-masked]> wrote:
> Things apparently aren't bad enough to prevent the majority from clamoring
> for larger blocks.

Nobody is preventing anyone from claiming anything. Some developers
are encouraging users to ask for bigger blocks.
Others don't want to impose consensus rule changes against the will of
the users (even if they're 10% of the users).
Still, "Things apparently aren't bad enough" is just your opinion.

> If the majority agreed that things had got worse till this point, and that
> this was to be blamed on the block size, they would be campaigning for the
> other direction. Even yourselves aren't asking for a reduction in the block
> size, as you know full well that you would be laughed out.

1) I don't care what the so-called "majority" thinks: I don't want to
impose consensus rule changes against the will of a reasonable
minority.
2) It doesn't matter who is to blame about the current centralization:
the fact remains that the blocksize maximum is the only** consensus
rule to limit mining centralization.
3) In fact I think Luke Dashjr proposed to reduced it to 400 KB, but I
would ask the same thing: please create a simulation in which the
change is better (or at least no much worse) than the current rules by
ANY metric.

Please read the point 2 with special attention because it's not the
first time I say this in this thread.

** There's also the maximum block sigops consensus rule to limit
mining centralization.